text-1.1.1.3: An efficient packed Unicode text type.

Copyright | 2010 Bryan O'Sullivan
License | BSD-style
Maintainer | bos@serpentine.com
Stability | experimental
Portability | GHC
Safe Haskell | Safe-Inferred
Language | Haskell98

Data.Text.Internal.Functions

Description

Warning: this is an internal module, and does not have a stable API or name. Functions in this module may not check or enforce preconditions expected by public modules. Use at your own risk!

Useful functions.

Synopsis

- intersperse :: a -> [a] -> [a]

# Documentation

intersperse :: a -> [a] -> [a]

A lazier version of Data.List.intersperse. The other version causes space leaks!